#ifndef _SYNC_COM_H_
#define _SYNC_COM_H_

#include <sync/sync.h>

#define bt_hci_send_acl_pkt(bt_stack, con_hdl, pb_flag, bc_flag, len, pkt_ptr) \
sync_com_send_acl_pkt(bt_stack, con_hdl, pb_flag, bc_flag, len, pkt_ptr)

// sends an acl packet containing time-sync info
long sync_com_send_acl_pkt(struct btstack *stack,
							bt_hci_con_handle_t app_con_handle,
							u_char pb_flag,
							u_char bc_flag,
							u_short length,
							struct bt_hci_pkt_acl *pkt);

// acl callback registration
void sync_com_register_acl_cb(struct btstack *stack,
								HCI_ACL_CB,
								struct bt_hci_pkt_acl *pkt,
								void *arg);

// initialization
void sync_com_init(

#endif //_SYNC_COM_H_
